1. Subscriptions
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
      GET
    • Renew Subscriptions
      POST
    • Toggle Auto renewal
      POST
    • Cancel Subscription
      POST
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
      • [SANDBOX] - Order Pre-Warmup Mailboxes
      • [SANDBOX] - Reset Pre-Warmup Data
    • Get All Pre-Warmup Mailboxes
    • Order Pre-Warmup Mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Subscriptions

Get All Subscriptions

GET
/subscriptions
Retrieves a paginated list of all subscription records for the partner, including both active and historical subscription plans. Supports filtering by subscription ID, domain, status, and creation date range.

Query Parameters#

NameTypeRequiredDescription
limitnumberNoMaximum number of subscription records to return per page. Default: 50
pagenumberNoPage number for pagination, starting from 1. Default: 1
componentSubscriptionIdstringNoFilter by a specific subscription ID
domainstringNoFilter by domain name
statusstringNoFilter by subscription status (e.g. ACTIVE, CANCELLED)
startDatestringNoReturn subscriptions created on or after this date (ISO 8601)
endDatestringNoReturn subscriptions created on or before this date (ISO 8601)

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/subscriptions?status=undefined&componentSubscriptionId=undefined&domain=undefined&startDate=undefined&endDate=undefined' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "status": 200,
    "message": "Subscriptions fetched successfully",
    "data": {
        "subscriptions": [
            {
                "subscriptionId": "1BNTZJG2Q041JWGS3NY9E1BZ9APA",
                "subscriptionStatus": "ACTIVE",
                "totalMailboxQuantity": 1,
                "billingCycle": "MONTHLY",
                "pricePerMailbox": 8,
                "periodStart": "2025-01-10T11:18:31.479Z",
                "periodEnd": "2025-02-10T11:18:31.479Z",
                "serviceProvider": "GOOGLE",
                "autoRenew": true,
                "userId": "USR94KD7S2LQ8X5M1Z0",
                "domain": "bestpremium.org",
                "createdAt": "2025-01-10T11:18:31.479Z"
            },
            {
                "subscriptionId": "WMMJPPBGDV4KXFP7KG66AAJBNE6K",
                "subscriptionStatus": "ACTIVE",
                "userId": "UVR14KD8S2LQ89M5M1W0",
                "totalMailboxQuantity": 2,
                "billingCycle": "MONTHLY",
                "pricePerMailbox": 8,
                "periodStart": "2025-01-10T11:42:24.958Z",
                "periodEnd": "2025-02-10T11:42:24.958Z",
                "serviceProvider": "GOOGLE",
                "autoRenew": false,
                "domain": "myfool.org",
                "createdAt": "2025-01-10T11:18:31.479Z"
            }
        ],
        "pagination": {
            "totalSearchedCount": 2,
            "currentPage": 1,
            "nextPage": 2,
            "totalPages": 1
        }
    }
}
Modified at 2026-06-23 16:21:02
Previous
Subscription Recreation
Next
Renew Subscriptions
Built with